Index: palm/trunk/SOURCE/chemistry_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 3847)
+++ palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 3848)
@@ -2230,7 +2198,7 @@
          surface_csflux_name,              &
          time_fac_type
-
-    !-- analogue to chem_names(nspj) we could invent chem_surfaceflux(nspj) and chem_topflux(nspj)
-    !-- so this way we could prescribe a specific flux value for each species
+!
+!-- analogue to chem_names(nspj) we could invent chem_surfaceflux(nspj) and chem_topflux(nspj)
+!-- so this way we could prescribe a specific flux value for each species
     !>  chemistry_parameters for initial profiles
     !>  cs_names = 'O3', 'NO2', 'NO', ...   to set initial profiles)
@@ -2240,7 +2208,6 @@
     !>  If the respective concentration profile should be constant with height, then use "cs_surface( number of spcs)"
     !>  then write these cs_surface values to chem_species(lsp)%conc_pr_init(:)
-
-    !
-    !--   Read chem namelist   
+!
+!--   Read chem namelist   
 
     CHARACTER(LEN=8)    :: solver_type
@@ -2252,6 +2219,6 @@
     atol = 1.0_wp
     rtol = 0.01_wp
-    !
-    !--   Try to find chemistry package
+!
+!--   Try to find chemistry package
     REWIND ( 11 )
     line = ' '
@@ -2260,9 +2227,9 @@
     ENDDO
     BACKSPACE ( 11 )
-    !
-    !--   Read chemistry namelist
+!
+!--   Read chemistry namelist
     READ ( 11, chemistry_parameters, ERR = 10, END = 20 )      
-    !
-    !--   Enable chemistry model
+!
+!--   Enable chemistry model
     air_chemistry = .TRUE.                    
     GOTO 20
@@ -2273,7 +2240,6 @@
 
  20 CONTINUE
-
-    !
-    !--    check for  emission mode for chem species
+!
+!--    check for emission mode for chem species
     IF ( (mode_emis /= 'PARAMETERIZED')  .AND. ( mode_emis /= 'DEFAULT' ) .AND. ( mode_emis /= 'PRE-PROCESSED'  ) )  THEN
        message_string = 'Incorrect mode_emiss  option select. Please check spelling'
@@ -2282,12 +2248,12 @@
 
     t_steps = my_steps          
-
-    !--    Determine the number of user-defined profiles and append them to the
-    !--    standard data output (data_output_pr)
+!
+!--    Determine the number of user-defined profiles and append them to the
+!--    standard data output (data_output_pr)
     max_pr_cs_tmp = 0 
     i = 1
 
     DO  WHILE ( data_output_pr(i)  /= ' '  .AND.  i <= 100 )
-       IF ( TRIM( data_output_pr(i)(1:3)) == 'kc_' ) THEN
+       IF ( TRIM( data_output_pr(i)(1:3) ) == 'kc_' )  THEN
           max_pr_cs_tmp = max_pr_cs_tmp+1
        ENDIF
@@ -2295,5 +2261,5 @@
     ENDDO
 
-    IF ( max_pr_cs_tmp > 0 ) THEN
+    IF ( max_pr_cs_tmp > 0 )  THEN
        cs_pr_namelist_found = .TRUE.
        max_pr_cs = max_pr_cs_tmp
@@ -2301,17 +2267,17 @@
 
     !      Set Solver Type
-    IF(icntrl(3) == 0)   THEN
+    IF(icntrl(3) == 0)  THEN
        solver_type = 'rodas3'           !Default
-    ELSE IF(icntrl(3) == 1)   THEN
+    ELSE IF(icntrl(3) == 1)  THEN
        solver_type = 'ros2'
-    ELSE IF(icntrl(3) == 2)   THEN
+    ELSE IF(icntrl(3) == 2)  THEN
        solver_type = 'ros3'
-    ELSE IF(icntrl(3) == 3)   THEN
+    ELSE IF(icntrl(3) == 3)  THEN
        solver_type = 'ro4'
-    ELSE IF(icntrl(3) == 4)   THEN
+    ELSE IF(icntrl(3) == 4)  THEN
        solver_type = 'rodas3'
-    ELSE IF(icntrl(3) == 5)   THEN
+    ELSE IF(icntrl(3) == 5)  THEN
        solver_type = 'rodas4'
-    ELSE IF(icntrl(3) == 6)   THEN
+    ELSE IF(icntrl(3) == 6)  THEN
        solver_type = 'Rang3'
     ELSE
@@ -2320,26 +2286,26 @@
     END IF
 
-    !
-    !--   todo: remove or replace by "CALL message" mechanism (kanani)
-    !       write(text,*) 'gas_phase chemistry: solver_type = ',TRIM(solver_type)
-    !kk    Has to be changed to right calling sequence
-    !kk       CALL location_message( TRIM(text), .FALSE. )
-    !        IF(myid == 0)   THEN
-    !           write(9,*) ' '
-    !           write(9,*) 'kpp setup '
-    !           write(9,*) ' '
-    !           write(9,*) '    gas_phase chemistry: solver_type = ',TRIM(solver_type)
-    !           write(9,*) ' '
-    !           write(9,*) '    Hstart  = ',rcntrl(3)
-    !           write(9,*) '    FacMin  = ',rcntrl(4)
-    !           write(9,*) '    FacMax  = ',rcntrl(5)
-    !           write(9,*) ' '
-    !           IF(vl_dim > 1)    THEN
-    !              write(9,*) '    Vector mode                   vektor length = ',vl_dim
-    !           ELSE
-    !              write(9,*) '    Scalar mode'
-    !           ENDIF
-    !           write(9,*) ' '
-    !        END IF
+!
+!--   todo: remove or replace by "CALL message" mechanism (kanani)
+!       write(text,*) 'gas_phase chemistry: solver_type = ',TRIM( solver_type )
+!kk    Has to be changed to right calling sequence
+!kk       CALL location_message( TRIM( text ), .FALSE. )
+!        IF(myid == 0)  THEN
+!           write(9,*) ' '
+!           write(9,*) 'kpp setup '
+!           write(9,*) ' '
+!           write(9,*) '    gas_phase chemistry: solver_type = ',TRIM( solver_type )
+!           write(9,*) ' '
+!           write(9,*) '    Hstart  = ',rcntrl(3)
+!           write(9,*) '    FacMin  = ',rcntrl(4)
+!           write(9,*) '    FacMax  = ',rcntrl(5)
+!           write(9,*) ' '
+!           IF(vl_dim > 1)  THEN
+!              write(9,*) '    Vector mode                   vektor length = ',vl_dim
+!           ELSE
+!              write(9,*) '    Scalar mode'
+!           ENDIF
+!           write(9,*) ' '
+!        END IF
 
     RETURN
@@ -2347,14 +2313,13 @@
  END SUBROUTINE chem_parin
 
- !
- !------------------------------------------------------------------------------!
- !
- ! Description:
- ! ------------
- !> Subroutine calculating prognostic equations for chemical species 
- !> (vector-optimized).
- !> Routine is called separately for each chemical species over a loop from
- !> prognostic_equations.
- !------------------------------------------------------------------------------!
+ 
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Subroutine calculating prognostic equations for chemical species 
+!> (vector-optimized).
+!> Routine is called separately for each chemical species over a loop from
+!> prognostic_equations.
+!------------------------------------------------------------------------------!
  SUBROUTINE chem_prognostic_equations( cs_scalar_p, cs_scalar, tcs_scalar_m,   &
       pr_init_cs, ilsp )
@@ -2390,9 +2355,9 @@
 
 
-    !
-    !-- Tendency terms for chemical species
+!
+!-- Tendency terms for chemical species
     tend = 0.0_wp
-    !    
-    !-- Advection terms
+!    
+!-- Advection terms
     IF ( timestep_scheme(1:5) == 'runge' )  THEN
        IF ( ws_scheme_sca )  THEN
@@ -2404,6 +2369,6 @@
        CALL advec_s_up( cs_scalar )
     ENDIF
-    !
-    !-- Diffusion terms  (the last three arguments are zero)
+!
+!-- Diffusion terms  (the last three arguments are zero)
     CALL diffusion_s( cs_scalar,                                               &
          surf_def_h(0)%cssws(ilsp,:),                             &
@@ -2424,6 +2389,6 @@
          surf_usm_v(2)%cssws(ilsp,:),                             &
          surf_usm_v(3)%cssws(ilsp,:) )
-    !    
-    !-- Prognostic equation for chemical species
+!    
+!-- Prognostic equation for chemical species
     DO  i = nxl, nxr
        DO  j = nys, nyn    
@@ -2443,6 +2408,6 @@
        ENDDO
     ENDDO
-    !
-    !-- Calculate tendencies for the next Runge-Kutta step
+!
+!-- Calculate tendencies for the next Runge-Kutta step
     IF ( timestep_scheme(1:5) == 'runge' )  THEN
        IF ( intermediate_timestep_count == 1 )  THEN
@@ -2469,15 +2434,15 @@
  END SUBROUTINE chem_prognostic_equations
 
- !------------------------------------------------------------------------------!
- !
- ! Description:
- ! ------------
- !> Subroutine calculating prognostic equations for chemical species 
- !> (cache-optimized).
- !> Routine is called separately for each chemical species over a loop from
- !> prognostic_equations.
- !------------------------------------------------------------------------------!
- SUBROUTINE chem_prognostic_equations_ij( cs_scalar_p, cs_scalar, tcs_scalar_m, pr_init_cs,     &
-      i, j, i_omp_start, tn, ilsp, flux_s_cs, diss_s_cs,                  &
+
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Subroutine calculating prognostic equations for chemical species 
+!> (cache-optimized).
+!> Routine is called separately for each chemical species over a loop from
+!> prognostic_equations.
+!------------------------------------------------------------------------------!
+ SUBROUTINE chem_prognostic_equations_ij( cs_scalar_p, cs_scalar, tcs_scalar_m,                 &
+      pr_init_cs, i, j, i_omp_start, tn, ilsp, flux_s_cs, diss_s_cs,                            &
       flux_l_cs, diss_l_cs )
     USE pegrid         
@@ -2507,13 +2472,13 @@
     REAL(wp), DIMENSION(0:nz+1)                                  :: pr_init_cs  !<
 
-    !
-    !-- local variables
+!
+!-- local variables
 
     INTEGER :: k
-    !
-    !--    Tendency-terms for chem spcs.
+!
+!--    Tendency-terms for chem spcs.
     tend(:,j,i) = 0.0_wp
-    !    
-    !-- Advection terms
+!    
+!-- Advection terms
     IF ( timestep_scheme(1:5) == 'runge' )  THEN
        IF ( ws_scheme_sca )  THEN
@@ -2526,8 +2491,6 @@
        CALL advec_s_up( i, j, cs_scalar )
     ENDIF
-
-    !
-
-    !-- Diffusion terms (the last three arguments are zero)
+!
+!-- Diffusion terms (the last three arguments are zero)
 
     CALL diffusion_s( i, j, cs_scalar,                                                 &
@@ -2541,8 +2504,7 @@
          surf_usm_v(0)%cssws(ilsp,:), surf_usm_v(1)%cssws(ilsp,:),        &
          surf_usm_v(2)%cssws(ilsp,:), surf_usm_v(3)%cssws(ilsp,:) )
-
-    !    
-    !-- Prognostic equation for chem spcs
-    DO k = nzb+1, nzt
+!    
+!-- Prognostic equation for chem spcs
+    DO  k = nzb+1, nzt
        cs_scalar_p(k,j,i) = cs_scalar(k,j,i) + ( dt_3d  *                       &
             ( tsc(2) * tend(k,j,i) +         &
@@ -2557,7 +2519,6 @@
        IF ( cs_scalar_p(k,j,i) < 0.0_wp )  cs_scalar_p(k,j,i) = 0.1_wp * cs_scalar(k,j,i)    !FKS6
     ENDDO
-
-    !
-    !-- Calculate tendencies for the next Runge-Kutta step
+!
+!-- Calculate tendencies for the next Runge-Kutta step
     IF ( timestep_scheme(1:5) == 'runge' )  THEN
        IF ( intermediate_timestep_count == 1 )  THEN
@@ -2576,12 +2537,10 @@
  END SUBROUTINE chem_prognostic_equations_ij
 
- !
- !------------------------------------------------------------------------------!
- !
- ! Description:
- ! ------------
- !> Subroutine to read restart data of chemical species
- !------------------------------------------------------------------------------!
-
+
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Subroutine to read restart data of chemical species
+!------------------------------------------------------------------------------!
  SUBROUTINE chem_rrd_local( k, nxlf, nxlc, nxl_on_file, nxrf, nxrc,             &
                             nxr_on_file, nynf, nync, nyn_on_file, nysf, nysc,   &
@@ -2623,15 +2582,15 @@
     IF ( ALLOCATED(chem_species) )  THEN
 
-       DO lsp = 1, nspec
+       DO  lsp = 1, nspec
 
           !< for time-averaged chemical conc.
-          spc_name_av  =  TRIM(chem_species(lsp)%name)//'_av'
-
-          IF ( restart_string(1:length) == TRIM(chem_species(lsp)%name) )    &
-               THEN
+          spc_name_av  =  TRIM( chem_species(lsp)%name )//'_av'
+
+          IF ( restart_string(1:length) == TRIM( chem_species(lsp)%name) )    &
+             THEN
              !< read data into tmp_3d
              IF ( k == 1 )  READ ( 13 )  tmp_3d  
              !< fill ..%conc in the restart run    
-             chem_species(lsp)%conc(:,nysc-nbgp:nync+nbgp,                  &
+             chem_species(lsp)%conc(:,nysc-nbgp:nync+nbgp,                    &
                   nxlc-nbgp:nxrc+nbgp) =                  & 
                   tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
@@ -2639,5 +2598,5 @@
           ELSEIF (restart_string(1:length) == spc_name_av )  THEN
              IF ( k == 1 )  READ ( 13 )  tmp_3d
-             chem_species(lsp)%conc_av(:,nysc-nbgp:nync+nbgp,               &
+             chem_species(lsp)%conc_av(:,nysc-nbgp:nync+nbgp,                 &
                   nxlc-nbgp:nxrc+nbgp) =               &
                   tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
@@ -2651,12 +2610,13 @@
 
  END SUBROUTINE chem_rrd_local
- !
- !-------------------------------------------------------------------------------!
- !> Description:
- !> Calculation of horizontally averaged profiles
- !> This routine is called for every statistic region (sr) defined by the user,
- !> but at least for the region "total domain" (sr=0).
- !> quantities.
- !------------------------------------------------------------------------------!
+
+
+!-------------------------------------------------------------------------------!
+!> Description:
+!> Calculation of horizontally averaged profiles
+!> This routine is called for every statistic region (sr) defined by the user,
+!> but at least for the region "total domain" (sr=0).
+!> quantities.
+!-------------------------------------------------------------------------------!
  SUBROUTINE chem_statistics( mode, sr, tn )
 
@@ -2681,13 +2641,14 @@
     IF ( mode == 'profiles' )  THEN
        !
-       !--    Sample on how to calculate horizontally averaged profiles of user-
-       !--    defined quantities. Each quantity is identified by the index
-       !--    "pr_palm+#" where "#" is an integer starting from 1. These
-       !--    user-profile-numbers must also be assigned to the respective strings
-       !--    given by data_output_pr_cs in routine user_check_data_output_pr.
-       !--    hom(:,:,:,:) =  dim-1 = vertical level, dim-2= 1: met-species,2:zu/zw, dim-3 = quantity( e.g.
-       !                       w*pt*), dim-4 = statistical region.
-
-       !$OMP DO
+!
+!--    Sample on how to calculate horizontally averaged profiles of user-
+!--    defined quantities. Each quantity is identified by the index
+!--    "pr_palm+#" where "#" is an integer starting from 1. These
+!--    user-profile-numbers must also be assigned to the respective strings
+!--    given by data_output_pr_cs in routine user_check_data_output_pr.
+!--    hom(:,:,:,:) =  dim-1 = vertical level, dim-2= 1: met-species,2:zu/zw, dim-3 = quantity( e.g.
+!--                     w*pt*), dim-4 = statistical region.
+
+!$OMP DO
        DO  i = nxl, nxr
           DO  j = nys, nyn
@@ -2710,12 +2671,12 @@
  END SUBROUTINE chem_statistics
 
- !
- !------------------------------------------------------------------------------!
- !
- ! Description:
- ! ------------
- !> Subroutine for swapping of timelevels for chemical species
- !> called out from subroutine swap_timelevel
- !------------------------------------------------------------------------------!
+
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Subroutine for swapping of timelevels for chemical species
+!> called out from subroutine swap_timelevel
+!------------------------------------------------------------------------------!
+
 
  SUBROUTINE chem_swap_timelevel( level )
@@ -2724,16 +2685,16 @@
 
     INTEGER(iwp), INTENT(IN) ::  level
-    !
-    !-- local variables
+!
+!-- local variables
     INTEGER(iwp)             ::  lsp
 
 
-    IF ( level == 0 ) THEN
-       DO lsp=1, nvar                                       
+    IF ( level == 0 )  THEN
+       DO  lsp=1, nvar                                       
           chem_species(lsp)%conc(nzb:nzt+1,nysg:nyng,nxlg:nxrg)    => spec_conc_1(:,:,:,lsp)
           chem_species(lsp)%conc_p(nzb:nzt+1,nysg:nyng,nxlg:nxrg)  => spec_conc_2(:,:,:,lsp)
        ENDDO
     ELSE
-       DO lsp=1, nvar                                        
+       DO  lsp=1, nvar                                        
           chem_species(lsp)%conc(nzb:nzt+1,nysg:nyng,nxlg:nxrg)    => spec_conc_2(:,:,:,lsp)
           chem_species(lsp)%conc_p(nzb:nzt+1,nysg:nyng,nxlg:nxrg)  => spec_conc_1(:,:,:,lsp)
@@ -2743,12 +2704,13 @@
     RETURN
  END SUBROUTINE chem_swap_timelevel
- !
- !------------------------------------------------------------------------------!
- !
- ! Description:
- ! ------------
- !> Subroutine to write restart data for chemistry model
- !------------------------------------------------------------------------------!
+
+
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Subroutine to write restart data for chemistry model
+!------------------------------------------------------------------------------!
  SUBROUTINE chem_wrd_local
+
 
     IMPLICIT NONE 
@@ -2766,20 +2728,17 @@
 
 
-
- !-------------------------------------------------------------------------------!
- !
- ! Description:
- ! ------------
- !> Subroutine to calculate the deposition of gases and PMs. For now deposition
- !> only takes place on lsm and usm horizontal surfaces. Default surfaces are NOT
- !> considered. The deposition of particles is derived following Zhang et al.,
- !> 2001, gases are deposited using the DEPAC module (van Zanten et al., 2010).
- !>     
- !> @TODO: Consider deposition on vertical surfaces    
- !> @TODO: Consider overlaying horizontal surfaces
- !> @TODO: Consider resolved vegetation    
- !> @TODO: Check error messages
- !-------------------------------------------------------------------------------!
-
+!-------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Subroutine to calculate the deposition of gases and PMs. For now deposition
+!> only takes place on lsm and usm horizontal surfaces. Default surfaces are NOT
+!> considered. The deposition of particles is derived following Zhang et al.,
+!> 2001, gases are deposited using the DEPAC module (van Zanten et al., 2010).
+!>     
+!> @TODO: Consider deposition on vertical surfaces    
+!> @TODO: Consider overlaying horizontal surfaces
+!> @TODO: Consider resolved vegetation    
+!> @TODO: Check error messages
+!-------------------------------------------------------------------------------!
  SUBROUTINE chem_depo( i, j )
 
@@ -2801,13 +2760,11 @@
 
 
-
     IMPLICIT NONE
 
     INTEGER(iwp), INTENT(IN) ::  i
     INTEGER(iwp), INTENT(IN) ::  j
-
     INTEGER(iwp) ::  k                             !< matching k to surface m at i,j
     INTEGER(iwp) ::  lsp                           !< running index for chem spcs.
-!    INTEGER(iwp) ::  lu                            !< running index for landuse classes
+!    INTEGER(iwp) ::  lu                           !< running index for landuse classes
     INTEGER(iwp) ::  lu_palm                       !< index of PALM LSM vegetation_type at current surface element
     INTEGER(iwp) ::  lup_palm                      !< index of PALM LSM pavement_type at current surface element
@@ -2826,7 +2783,6 @@
     INTEGER(iwp) ::  pspec                         !< running index
     INTEGER(iwp) ::  i_pspec                       !< index for matching depac gas component
-
-    !
-    !-- Vegetation                                              !<Match to DEPAC
+!
+!-- Vegetation                                              !<Match to DEPAC
     INTEGER(iwp) ::  ind_lu_user = 0                         !< --> ERROR  
     INTEGER(iwp) ::  ind_lu_b_soil = 1                       !< --> ilu_desert
@@ -2848,7 +2804,6 @@
     INTEGER(iwp) ::  ind_lu_mixed_forest = 17                !< --> ilu_coniferous_forest (ave(decid+conif))
     INTEGER(iwp) ::  ind_lu_intrup_forest = 18               !< --> ilu_other (ave(other+decid))
-
-    !
-    !-- Water
+!
+!-- Water
     INTEGER(iwp) ::  ind_luw_user = 0                        !< --> ERROR
     INTEGER(iwp) ::  ind_luw_lake = 1                        !< --> ilu_water_inland
@@ -2857,7 +2812,6 @@
     INTEGER(iwp) ::  ind_luw_pond = 4                        !< --> ilu_water_inland
     INTEGER(iwp) ::  ind_luw_fountain = 5                    !< --> ilu_water_inland 
-
-    !
-    !-- Pavement
+!
+!-- Pavement
     INTEGER(iwp) ::  ind_lup_user = 0                        !< --> ERROR
     INTEGER(iwp) ::  ind_lup_asph_conc = 1                   !< --> ilu_desert
@@ -2876,8 +2830,6 @@
     INTEGER(iwp) ::  ind_lup_art_turf = 14                   !< --> ilu_desert
     INTEGER(iwp) ::  ind_lup_clay = 15                       !< --> ilu_desert
-
-
-    !
-    !-- Particle parameters according to the respective aerosol classes (PM25, PM10)
+!
+!-- Particle parameters according to the respective aerosol classes (PM25, PM10)
     INTEGER(iwp) ::  ind_p_size = 1     !< index for partsize in particle_pars
     INTEGER(iwp) ::  ind_p_dens = 2     !< index for rhopart in particle_pars
@@ -2929,9 +2881,8 @@
     REAL(wp) ::  ts             !< surface temperatur in degrees celsius
     REAL(wp) ::  qv_tmp         !< surface mixing ratio at current surface element
-
-    !
-    !-- Particle parameters (PM10 (1), PM25 (2))
-    !-- partsize (diameter in m), rhopart (density in kg/m3), slipcor
-    !-- (slip correction factor dimensionless, Seinfeld and Pandis 2006, Table 9.3)
+!
+!-- Particle parameters (PM10 (1), PM25 (2))
+!-- partsize (diameter in m), rhopart (density in kg/m3), slipcor
+!-- (slip correction factor dimensionless, Seinfeld and Pandis 2006, Table 9.3)
     REAL(wp), DIMENSION(1:3,1:2), PARAMETER ::  particle_pars = RESHAPE( (/ &
          8.0e-6_wp, 1.14e3_wp, 1.016_wp, &  !<  1
@@ -2939,12 +2890,9 @@
          /), (/ 3, 2 /) )
 
-
     LOGICAL ::  match_lsm     !< flag indicating natural-type surface
     LOGICAL ::  match_usm     !< flag indicating urban-type surface
-
-
-    !
-    !-- List of names of possible tracers
-    CHARACTER(len=*), PARAMETER ::  pspecnames(nposp) = (/ &
+!
+!-- List of names of possible tracers
+    CHARACTER(LEN=*), PARAMETER ::  pspecnames(nposp) = (/ &
          'NO2           ', &    !< NO2
          'NO            ', &    !< NO
@@ -3016,8 +2964,6 @@
          'tpm25_biascorr', &    !< tpm25_biascorr
          'O3_biascorr   ' /)    !< o3_biascorr
-
-
-    !
-    !-- tracer mole mass:
+!
+!-- tracer mole mass:
     REAL(wp), PARAMETER ::  specmolm(nposp) = (/ &
          xm_O * 2 + xm_N, &                         !< NO2
@@ -3090,29 +3036,23 @@
          xm_dummy, &                                !< tpm25_biascorr
          xm_O * 3 /)                                !< o3_biascorr
-
-
-    !
-    !-- Initialize surface element m
+!
+!-- Initialize surface element m
     m = 0
     k = 0
-    !
-    !-- LSM or USM surface present at i,j:
-    !-- Default surfaces are NOT considered for deposition
+!
+!-- LSM or USM surface present at i,j:
+!-- Default surfaces are NOT considered for deposition
     match_lsm = surf_lsm_h%start_index(j,i) <= surf_lsm_h%end_index(j,i)
     match_usm = surf_usm_h%start_index(j,i) <= surf_usm_h%end_index(j,i)
-
-
-    !
-    !--For LSM surfaces
+!
+!--For LSM surfaces
 
     IF ( match_lsm )  THEN
-
-       !
-       !-- Get surface element information at i,j:
+!
+!--    Get surface element information at i,j:
        m = surf_lsm_h%start_index(j,i)
        k = surf_lsm_h%k(m)
-
-       !
-       !-- Get needed variables for surface element m
+!
+!--    Get needed variables for surface element m
        ustar_lu  = surf_lsm_h%us(m)
        z0h_lu    = surf_lsm_h%z0h(m)
@@ -3121,13 +3061,11 @@
        lai = surf_lsm_h%lai(m)
        sai = lai + 1
-
-       !
-       !-- For small grid spacing neglect R_a
+!
+!--    For small grid spacing neglect R_a
        IF ( dzw(k) <= 1.0 )  THEN
           r_aero_lu = 0.0_wp
        ENDIF
-
-       !
-       !--Initialize lu's
+!
+!--    Initialize lu's
        lu_palm = 0
        lu_dep = 0
@@ -3136,14 +3074,11 @@
        luw_palm = 0
        luw_dep = 0
-
-       ! 
-       !--Initialize budgets
+! 
+!--    Initialize budgets
        bud_now_lu  = 0.0_wp
        bud_now_lup = 0.0_wp
        bud_now_luw = 0.0_wp
-
-
-       !
-       !-- Get land use for i,j and assign to DEPAC lu
+!
+!--    Get land use for i,j and assign to DEPAC lu
        IF ( surf_lsm_h%frac(ind_veg_wall,m) > 0 )  THEN
           lu_palm = surf_lsm_h%vegetation_type(m)
@@ -3245,8 +3180,6 @@
           ENDIF
        ENDIF
-
-
-       !
-       !-- Set wetness indicator to dry or wet for lsm vegetation or pavement
+!
+!--    Set wetness indicator to dry or wet for lsm vegetation or pavement
        IF ( surf_lsm_h%c_liq(m) > 0 )  THEN
           nwet = 1
@@ -3254,7 +3187,6 @@
           nwet = 0
        ENDIF
-
-       !
-       !--Compute length of time step 
+!
+!--    Compute length of time step 
        IF ( call_chem_at_all_substeps )  THEN
           dt_chem = dt_3d * weight_pres(intermediate_timestep_count)
@@ -3263,53 +3195,40 @@
        ENDIF
 
-
        dh = dzw(k)
        inv_dh = 1.0_wp / dh
        dt_dh = dt_chem/dh
-
-       !
-       !-- Concentration at i,j,k
+!
+!--    Concentration at i,j,k
        DO  lsp = 1, nspec
           cc(lsp) = chem_species(lsp)%conc(k,j,i)
        ENDDO
 
-
-       !
-       !-- Temperature at i,j,k
+!--    Temperature at i,j,k
        ttemp = pt(k,j,i) * ( hyp(k) / 100000.0_wp )**0.286_wp
 
        ts       = ttemp - 273.15  !< in degrees celcius
-
-       !
-       !-- Viscosity of air
+!
+!--    Viscosity of air
        visc = 1.496e-6 * ttemp**1.5 / (ttemp+120.0)
-
-       !
-       !-- Air density at k
+!
+!--    Air density at k
        dens = rho_air_zw(k)
-
-       !
-       !-- Calculate relative humidity from specific humidity for DEPAC
+!
+!--    Calculate relative humidity from specific humidity for DEPAC
        qv_tmp = MAX(q(k,j,i),0.0_wp)
        relh = relativehumidity_from_specifichumidity(qv_tmp, ttemp, hyp(k) )
-
-
-
-       !
-       !-- Check if surface fraction (vegetation, pavement or water) > 0 and calculate vd and budget
-       !-- for each surface fraction. Then derive overall budget taking into account the surface fractions.
-
-       !
-       !-- Vegetation
+!
+!-- Check if surface fraction (vegetation, pavement or water) > 0 and calculate vd and budget
+!-- for each surface fraction. Then derive overall budget taking into account the surface fractions.
+!
+!--    Vegetation
        IF ( surf_lsm_h%frac(ind_veg_wall,m) > 0 )  THEN
 
-
           slinnfac = 1.0_wp
-
-          !
-          !-- Get deposition velocity vd
+!
+!--       Get deposition velocity vd
           DO  lsp = 1, nvar
-             !
-             !-- Initialize 
+!
+!--          Initialize 
              vs = 0.0_wp
              vd_lu = 0.0_wp
@@ -3319,6 +3238,6 @@
              IF ( spc_names(lsp) == 'PM10' )  THEN
                 part_type = 1
-                !
-                !-- Sedimentation velocity
+!
+!--             Sedimentation velocity
                 vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type), &
                      particle_pars(ind_p_size, part_type), &
@@ -3340,11 +3259,10 @@
              ELSEIF ( spc_names(lsp) == 'PM25' )  THEN
                 part_type = 2
-                !
-                !-- Sedimentation velocity
+!
+!--             Sedimentation velocity
                 vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type), &
                      particle_pars(ind_p_size, part_type), &
                      particle_pars(ind_p_slip, part_type), &
                      visc)
-
 
                 CALL drydepo_aero_zhang_vd( vd_lu, Rs, &
@@ -3359,10 +3277,7 @@
                      (1.0_wp - exp(-vd_lu * dt_dh )) * dh
 
-
              ELSE !< GASES
-
-                !
-                !-- Read spc_name of current species for gas parameter
-
+!
+!--             Read spc_name of current species for gas parameter
                 IF ( ANY( pspecnames(:) == spc_names(lsp) ) )  THEN
                    i_pspec = 0
@@ -3374,31 +3289,28 @@
 
                 ELSE
-                   !
-                   !-- For now species not deposited
+!
+!--             For now species not deposited
                    CYCLE
                 ENDIF
-
-                !
-                !-- Factor used for conversion from ppb to ug/m3 :
-                !-- ppb (mole tr)/(mole air)/ppb (kg tr)/(mole tr) (ug tr)/(kg tr) &
-                !   (mole air)/(kg air) (kg air)/(m3 air) (kg air(ug/m3)/ppb/(kg/mole) = / (kg/mole)
-                !   c           1e-9              xm_tracer         1e9       /       xm_air            dens
-                !-- thus:
-                !   c_in_ppb * xm_tracer * [ dens / xm_air ] = c_in_ugm3
-                !-- Use density at k:
+!
+!--             Factor used for conversion from ppb to ug/m3 :
+!--             ppb (mole tr)/(mole air)/ppb (kg tr)/(mole tr) (ug tr)/(kg tr) &
+!--                 (mole air)/(kg air) (kg air)/(m3 air) (kg air(ug/m3)/ppb/(kg/mole) = / (kg/mole)
+!--                 c           1e-9              xm_tracer         1e9       /       xm_air            dens
+!--             thus:
+!--                 c_in_ppb * xm_tracer * [ dens / xm_air ] = c_in_ugm3
+!--             Use density at k:
 
                 ppm_to_ugm3 =  (dens/xm_air) * 0.001_wp  !< (mole air)/m3
-
-                !
-                !-- Atmospheric concentration in DEPAC is requested in ug/m3:
+!
+!--             Atmospheric concentration in DEPAC is requested in ug/m3:
                 !   ug/m3              ppm          (ug/m3)/ppm/(kg/mole)     kg/mole
                 catm = cc(lsp)         * ppm_to_ugm3 *   specmolm(i_pspec)  ! in ug/m3
-
-                !
-                !-- Diffusivity for DEPAC relevant gases
-                !-- Use default value 
+!
+!--             Diffusivity for DEPAC relevant gases
+!--             Use default value 
                 diffc            = 0.11e-4
-                !
-                !-- overwrite with known coefficients of diffusivity from Massman (1998)
+!
+!--             overwrite with known coefficients of diffusivity from Massman (1998)
                 IF ( spc_names(lsp) == 'NO2' ) diffc = 0.136e-4 
                 IF ( spc_names(lsp) == 'NO'  ) diffc = 0.199e-4
@@ -3408,21 +3320,16 @@
                 IF ( spc_names(lsp) == 'CH4' ) diffc = 0.191e-4
                 IF ( spc_names(lsp) == 'NH3' ) diffc = 0.191e-4
-
-
-                !
-                !-- Get quasi-laminar boundary layer resistance Rb:
+!
+!--             Get quasi-laminar boundary layer resistance Rb:
                 CALL get_rb_cell( (lu_dep == ilu_water_sea) .OR. (lu_dep == ilu_water_inland), &
                      z0h_lu, ustar_lu, diffc, &
                      Rb )
-
-                !
-                !-- Get Rc_tot
+!
+!--             Get Rc_tot
                 CALL drydepos_gas_depac( spc_names(lsp), day_of_year, latitude, ts, ustar_lu, glrad, cos_zenith, &
                      relh, lai, sai, nwet, lu_dep, 2, Rc_tot, ccomp_tot(lsp), hyp(nzb), catm, diffc, &
                      r_aero_lu , Rb )
-
-
-                !
-                !-- Calculate budget
+!
+!--             Calculate budget
                 IF ( Rc_tot <= 0.0 )  THEN
 
